/** Buttons **/

a {
  display: inline-flex;
  text-decoration: none;
  transition: all .3s ease;
  outline: none;

  &:hover {
    text-decoration: none;
  }
}

.btn {
  padding: 17px 46px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  
  color: $white;
  border: none;
  font-family: $font-primary;
  background-color: $black-100;
  font-size: 16px;
  font-weight: 400;
  transition: .2s;
  white-space: nowrap;
  cursor: pointer;

  @include media-breakpoint-down(sm) {
    width: 100%;
  }

  @media screen and (max-width: 540px) {
    padding: 12px 44px;
    font-size: 14px;
  }

  &:hover {
    // opacity: 0.9;
    background-color: $orange;
    color: $black-100;
    // color: lighten($black-100, 40);
    // transform: scale(1.05);
  }
  
  &:active {
    opacity: 0.8;
  }

  &.light {
    background-color: transparent;
    color: $black-100;
    font-weight: 500;
    border: 2px solid $black-100;

    &:hover {
      // opacity: 0.9;
      background-color: $black-100;
      color: $white;
      // color: lighten($black-100, 40);
      // transform: scale(1.05);
    }
  }
}
